Get Activities
curl --request GET \
--url https://api.bron.org/workspaces/{workspaceId}/activitiesimport requests
url = "https://api.bron.org/workspaces/{workspaceId}/activities"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bron.org/workspaces/{workspaceId}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activities": [
{
"activityId": "a5784c206f5caa516142a60f66122efe",
"activityType": "account-creation",
"createdAt": "1742572023000",
"title": "Created Vault account",
"accountId": "ll14wqmznxm3zolsvkz0nqrw",
"description": "Vault account was added. Safari 18",
"userId": "d9f0202766935f8e856a0309",
"workspaceId": "e191u51yxnykins6fahdizxy"
}
]
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}Get Activities
Retrieve information about all activities in the workspace
API Key permissions: View only, Transaction Operator, Full AccessGET
/
workspaces
/
{workspaceId}
/
activities
Get Activities
Path Parameters
Query Parameters
Filter activities for specific IDs
Case-insensitive substring match over activity type, IP, user agent, location, country code and device id
Filter activities by user IDs
Filter activities by activity types. See details
Available options:
login, new-device-login, failed-login, failed-2fa, guardian-declined, approval-request-created, approval-request-approved, approval-request-cancelled, new-address-book-record, update-address-book-record, delete-address-book-record, workspace-creation, workspace-settings-approval-update, workspace-name-change, workspace-tag-change, tag-relinked, tag-auto-relinked, tag-deactivated, only-address-book-withdrawals-settings-update, transaction-approval-settings-update, workspace-members-approval-update, address-book-settings-approval-update, transaction-limits-approval-settings-update, member-creation, member-update, member-removal, member-left, service-member-creation, transaction-limit-creation, transaction-limit-update, account-creation, passkey-creation, passkey-deletion, 2fa-change, email-change, account-pins-reset, shard-access-request-updated, signing-share-requested, signing-share-in-progress, signing-share-cancelled, signing-share-rejected, signing-recovery-requested, signing-recovery-in-progress, signing-recovery-cancelled, signing-recovery-rejected, face-scan-enrolled, face-scan-enrolment-removed, face-scan-recovery-verified, face-scan-recovery-failed, shard-recovery-face-verified, shard-recovery-face-failed, signing-access-revoked, transaction-completed, subscription-updated, trial-prolongation-requested, trial-prolongated, ownership-takeover-request-created, ownership-takeover-request-cancelled, ownership-takeover-new-beneficiary-added, ownership-takeover-beneficiary-left, ownership-takeover-request-completed, user-frozen, user-unfrozen, workspace-frozen, workspace-unfrozen, user-deletion-scheduled, user-deletion-canceled Exclude activities by activity types. See details
Available options:
login, new-device-login, failed-login, failed-2fa, guardian-declined, approval-request-created, approval-request-approved, approval-request-cancelled, new-address-book-record, update-address-book-record, delete-address-book-record, workspace-creation, workspace-settings-approval-update, workspace-name-change, workspace-tag-change, tag-relinked, tag-auto-relinked, tag-deactivated, only-address-book-withdrawals-settings-update, transaction-approval-settings-update, workspace-members-approval-update, address-book-settings-approval-update, transaction-limits-approval-settings-update, member-creation, member-update, member-removal, member-left, service-member-creation, transaction-limit-creation, transaction-limit-update, account-creation, passkey-creation, passkey-deletion, 2fa-change, email-change, account-pins-reset, shard-access-request-updated, signing-share-requested, signing-share-in-progress, signing-share-cancelled, signing-share-rejected, signing-recovery-requested, signing-recovery-in-progress, signing-recovery-cancelled, signing-recovery-rejected, face-scan-enrolled, face-scan-enrolment-removed, face-scan-recovery-verified, face-scan-recovery-failed, shard-recovery-face-verified, shard-recovery-face-failed, signing-access-revoked, transaction-completed, subscription-updated, trial-prolongation-requested, trial-prolongated, ownership-takeover-request-created, ownership-takeover-request-cancelled, ownership-takeover-new-beneficiary-added, ownership-takeover-beneficiary-left, ownership-takeover-request-completed, user-frozen, user-unfrozen, workspace-frozen, workspace-unfrozen, user-deletion-scheduled, user-deletion-canceled Response
OK
Show child attributes
Show child attributes
Was this page helpful?
